[arch-commits] Commit in nautilus-cd-burner/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jul 20 04:00:08 EDT 2009


    Date: Monday, July 20, 2009 @ 04:00:08
  Author: jgc
Revision: 46785

upgpkg: nautilus-cd-burner 2.24.0-2
    Add nautilus and eel to optdepend
Remove from gnome-extra group
add eel and intltool makedepends

Modified:
  nautilus-cd-burner/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-20 06:16:09 UTC (rev 46784)
+++ PKGBUILD	2009-07-20 08:00:08 UTC (rev 46785)
@@ -3,28 +3,28 @@
 
 pkgname=nautilus-cd-burner
 pkgver=2.24.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Adds cd burner functionality to nautilus"
 arch=(i686 x86_64)
 depends=('cdrkit' 'dvd+rw-tools' 'gnome-mount>=0.8' 'desktop-file-utils' 'libgnomeui>=2.24.0')
-makedepends=('perlxml' 'pkgconfig' 'nautilus>=2.24.0')
+makedepends=('intltool' 'pkgconfig' 'nautilus>=2.24.0' 'eel')
+optdepends=('nautilus' 'eel')
 options=('!libtool' '!emptydirs')
 license=('GPL')
 url=http://www.gnome.org/
 install=nautilus-cd-burner.install
 source=(http://ftp.gnome.org/pub/GNOME/sources/nautilus-cd-burner/2.24/${pkgname}-${pkgver}.tar.bz2)
-groups=('gnome-extra')
 md5sums=('eb211dd03d0518263fa4eadccc3caa88')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --libexecdir=/usr/lib/nautilus-cd-burner \
-              --localstatedir=/var --enable-hal || return 1
+      --libexecdir=/usr/lib/nautilus-cd-burner \
+      --localstatedir=/var --enable-hal || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
   
   install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
-  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain nautilus-cd-burner ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
   rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }



More information about the arch-commits mailing list